Get Shard Block Proof
curl --request GET \
--url https://toncenter.com/api/v2/getShardBlockProofimport requests
url = "https://toncenter.com/api/v2/getShardBlockProof"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://toncenter.com/api/v2/getShardBlockProof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"result": {
"@type": "blocks.shardBlockProof",
"from": {
"@type": "ton.blockIdExt",
"workchain": -1,
"shard": "-9223372036854775808",
"seqno": 51148869,
"root_hash": "HxogBiV2YA+KrC9cJa5llfvDGNk2hwCqsaCSYo40V00=",
"file_hash": "h7LOaX0cTqc8qKecsNYi32SVu0McCito3P2qzynvdqk="
},
"mc_id": {
"@type": "ton.blockIdExt",
"workchain": -1,
"shard": "-9223372036854775808",
"seqno": 51148869,
"root_hash": "HxogBiV2YA+KrC9cJa5llfvDGNk2hwCqsaCSYo40V00=",
"file_hash": "h7LOaX0cTqc8qKecsNYi32SVu0McCito3P2qzynvdqk="
},
"links": [],
"mc_proof": [],
"@extra": "1755813789.6827312:12:0.9450183392434569"
}
}Blocks
Get Shard Block Proof
Get merkle proof of shardchain block.
GET
/
getShardBlockProof
Get Shard Block Proof
Query Parameters
Block workchain id
Block shard id
Block seqno
Seqno of masterchain block starting from which proof is required. If not specified latest masterchain block is used.
⌘I

